# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    # Get data from API
    url_api = "https://jabraexpressonlinejdo.jabra.com/jdo/jdo.json"
    json_load = json.loads(wgets(url_api))
    version = json_load["MacVersion"]
    download_url = json_load["MacDownload"]
    latest_bin = download_url.rsplit("/",1)[-1]

    # Downloading latest binaries
    print(f"Latest version of {control.name} is: {version}")
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print(f"Software version updated (from: {control.get_software_version()} to: {Version(version)})")
        package_updated = True
    else :
        print(f"Software version up-to-date ({Version(version)})")

    #Extracting pkg from dmg 
    wget(download_url, latest_bin)
    unzip_with_7zip(latest_bin, target='.')
    remove_file(latest_bin)


    # Deleting binaries
    for f in glob.glob("*.pkg"):
        if f != latest_bin.replace("dmg", "pkg"):
            remove_file(f)

    control.set_software_version(version)
    control.save_control_to_wapt()

    return package_updated
